Page MenuHomePhabricator

Add beta commons as family
Closed, ResolvedPublic

Description

There is currently no test instance for Commons available through pywikibot making testing of Commons related code (especially upload) problematic.

AFAIK http://commons.wikimedia.beta.wmflabs.org is the designated test site for Commons. So adding this to the families would be nice.

Two things makes this more complicated:

  1. the domain is not the same as that for commons.wikimedia.org (so I'm not sure it can simply be added as a language in commons_family.py)
  2. beta commons does not (yet) support https (T50501)

Details

Related Gerrit Patches:
pywikibot/core : master[WIP] Handle closed_wikis as read-only
pywikibot/core : masterAdd support for beta commons

Event Timeline

Dalba added a subscriber: Dalba.Jul 16 2016, 7:50 AM
Stan3 added a subscriber: Stan3.EditedAug 8 2016, 2:24 PM

{F4345244}These are the changes I've needed to work with beta commons.

{F4345244}These are the changes I've needed to work with beta commons.

That diff doesn't look like it's built on top of commons_family.py in the master branch. Are there more patches in-between?

Stan3 added a comment.Aug 8 2016, 7:42 PM

That diff doesn't look like it's built on top of commons_family.py in the master branch. Are there more patches in-between?

I'm on the 2.0 branch

Xqt triaged this task as Low priority.Jun 9 2017, 6:35 PM

Change 357792 had a related patch set uploaded (by Xqt; owner: Stan):
[pywikibot/core@master] Add support for beta commons

https://gerrit.wikimedia.org/r/357792

That diff doesn't look like it's built on top of commons_family.py in the master branch. Are there more patches in-between?

I'm on the 2.0 branch

The branch to develop against is master / 3.0-dev (which is also what you get at github). For general use I recommend switching to the 3.0 branch. If you use pip the latest one is 3.0.20170521 .

Is the desired API here to have a new code/language for the existing family or should it be a new family?

This comment was removed by Zoranzoki21.
Xqt closed this task as Resolved.Aug 23 2017, 2:18 PM
Xqt reassigned this task from Zoranzoki21 to Stan3.

Change 357792 merged by jenkins-bot:
[pywikibot/core@master] Add support for beta commons

https://gerrit.wikimedia.org/r/357792

Change 429875 had a related patch set uploaded (by Dvorapa; owner: Dvorapa):
[pywikibot/core@master] Handle closed_wikis as read-only

https://gerrit.wikimedia.org/r/429875

Change 429875 abandoned by Dvorapa:
[WIP] Handle closed_wikis as read-only

Reason:
Patch has been already splitted into several smaller ones. The Beta Cluster part and Test codes part must be a little bit rethought though.

https://gerrit.wikimedia.org/r/429875